[build-system]
requires = ["setuptools>=45", "setuptools_scm[toml]>=6.2"]
build-backend = "setuptools.build_meta"

[project]
name = "derivative-dist-compare"
authors = [
    {name = "Patrik Dufresne", email = "patrik@ikus-soft.com"},
]
description = "Debian package tracker for derivative distributions"
readme = "README.md"
requires-python = ">=3.7, <4"
license = {text = "GPLv3"}
classifiers = [
    "Development Status :: 4 - Beta",
    "Intended Audience :: System Administrators",
    "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
    "Programming Language :: Python :: 3.7",
    "Programming Language :: Python :: 3.8",
    "Programming Language :: Python :: 3.9",
    "Programming Language :: Python :: 3.10",
    "Programming Language :: Python :: 3.11",
    "Programming Language :: Python :: 3.12",
]
dependencies = [
    "Jinja2",
    "pyyaml",
]
dynamic = ["version"]

[project.optional-dependencies]
dev = [
    "black==24.8.0",
    "djlint==1.35.2",
    "flake8",
    "flake8-copyright",
    "isort==7.0.0",
]
test = [
    "pytest",
    "parameterized",
]

[project.scripts]
derivative-dist-compare = "derivative_dist_compare.main:main"

[project.urls]
Homepage = "https://gitlab.com/ikus-soft/derivative-dist-compare"

[tool.black]
line-length = 120
skip-string-normalization = "True"

[tool.isort]
profile = "black"
line_length = 120

[tool.djlint]
indent=2

[tool.setuptools_scm]
version_scheme = "no-guess-dev"

[tool.git-changelog]
output = "CHANGELOG.md"
template = "keepachangelog"
convention = "linux"
sections = [":all:"]  # Include all sections
include-all = true  # Include all random msg
in-place = 1
jinja_context = { debian_package_name = "derivative-dist-compare", debian_version_suffix = "-0progress8.99u1" }
